/*
	티어즈의 액션 윈도우
*/
#ifndef cTearsActionWindow_H
#define cTearsActionWindow_H

#include "cWindow.h"
#include "cPicture.h"
#include "cTearsPlayer.h"
#include "cDisplay.h"

class cTearsActionWindow : public cWindow{
private:
	static BOOL ClassRegistered;
	
protected:
	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "TearsActionWindow"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual LRESULT Proc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	// Message Handlers
	void OnCreate(LPARAM lParam);
	void OnDestroy();
	void OnPaint(WPARAM wParam);
	void OnLButtonDown(WPARAM wParam, LPARAM lParam);
	void OnKeyDown(WPARAM wParam, LPARAM lParam);

protected:
	// 그리기 대상
	cDisplay *pDisplay;
	cTearsPlayer *pPlayer;
	cPicture *pBackPicture;

public:

	cTearsActionWindow();
	virtual ~cTearsActionWindow();

	BOOL Create(LPCTSTR lpWindowName, DWORD dwStyle, 
		int x, int y, int nWidth, int nHeight, 
		cWindow *pParentWindow, int id, cDisplay *_pDisplay); 
	virtual void Destroy();

	void Set(cTearsPlayer *_pPlayer);
	void SetBackPicture(cPicture *_pBackPicture){ pBackPicture = _pBackPicture; }

};

#endif 
